.\" Man page generated from reStructuredText.
.
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.TH "RST2MAN" 1 "2006-10-22" "0.1" "text processing"
.SH NAME
rst2man \- generate unix manpages from reStructured text
.\" TODO: authors and author with name <email>
.
.SH SYNOPSIS
.INDENT 0.0
.INDENT 3.5
rst2man.py inputfile outputfile
.UNINDENT
.UNINDENT
.SH DESCRIPTION
.sp
rst2man transforms a reStructured text document into a unix man page.
.sp
In theory any valid reStructured text document should be processable,
in reality this is
.INDENT 0.0
.IP \(bu 2
a goal, that is not met yet
.IP \(bu 2
a goal that might never be met, because only few constructs are
used in man pages \fIand\fP because the common text file does not adhere
to man page requirements.
.sp
For example a unix man page belongs into a numbered section, 1 is
user commands, 8 contains administrator commands and the headlines
of all manpages are collected into a database, queryable with the
programm \fBapropos\fP, therefore the headline should contain a short
text describing into which group this command belongs.
.sp
These informations are collected from title, subtitle and the
docinfo, see this document as an example.
.UNINDENT
.SH OPTIONS
.INDENT 0.0
.TP
.BI \-\-config\fB= <file>
Read configuration settings from <file>, if it exists.
.TP
.B  \-\-version\fP,\fB  \-V
Show this program\(aqs version number and exit.
.TP
.B  \-\-help\fP,\fB  \-h
Show this help message and exit.
.UNINDENT
.sp
And a lot more standard docutils options.
.SH FILES
.sp
None yet.
.SH SEE ALSO
.sp
\fI\%docutils\fP
\fI\%linux man page howto\fP
.sp
and \fBman man\fP also \fBman 7 man\fP
.SH BUGS
.INDENT 0.0
.IP 1. 3
Format options are included as they are required.
.IP 2. 3
bullet lists
.IP 3. 3
number lists
.IP 4. 3
math: The LaTeX source is shown, e.g. \fBn! + \esin(x_n^2)\fP\&.
.UNINDENT
.sp
Discussion is still open.
.SH AUTHOR
grubert@users.sourceforge.net
.SH COPYRIGHT
public domain
.\" Generated by docutils manpage writer.
.
